<?php
session_start();

@$xusuario=$_REQUEST['xusuario'];
@$xclave=$_REQUEST['xclave'];
@$xempresa=$_REQUEST['xempresa'];

$xusuario=md5(md5(trim($xusuario)));
$xclave=md5(md5(md5(trim($xclave))));

include "../conexion.php";

$r = mysqli_query($conexion,"SELECT * FROM usuarios u WHERE md5(md5(usu_nombre))='$xusuario' and md5(md5(usu_clave))='$xclave' and emp_codi_fk=$xempresa;");

if(mysqli_num_rows($r) > 0){

	while($row = mysqli_fetch_array($r)){
	
		if( $row['usu_acceso_ip']==1 ){
		
			if( trim(getRealIP()) == trim($row['usu_ip']) ){
			
				$_SESSION['s_usu_codi'] = $row['usu_codi'];
				$_SESSION['nombre_usuario'] = $row['usu_nombre'];
				$_SESSION['s_usuario'] = $xusuario;
				$_SESSION['s_clave'] = $xclave;
				$_SESSION['s_estado'] = $row['usu_estado'];
				$_SESSION['s_compras'] = $row['usu_compras'];
				$_SESSION['s_ventas'] = $row['usu_ventas'];
				$_SESSION['s_almacen'] = $row['usu_almacen'];
				$_SESSION['s_caja'] = $row['usu_caja'];
				$_SESSION['s_configuracion'] = $row['usu_configuracion'];
				$_SESSION['s_empresa'] = $row['emp_codi_fk'];
				$_SESSION['s_tipo_usuario'] = $row['usu_tipo'];
				$_SESSION['s_almacen_salidas'] = $row['usu_almacen_salidas'];				
				$_SESSION['s_pago_limitado'] = $row['usu_pago_limitado'];								
			
			}else{

				?>
				<script language="javascript">
				alert("Usuario no autorizado para acceder desde este equipo.")
				</script>			
				<?php					
				
			}
		
		}else{
		
			$_SESSION['s_usu_codi'] = $row['usu_codi'];
			$_SESSION['nombre_usuario'] = $row['usu_nombre'];
			$_SESSION['s_usuario'] = $xusuario;
			$_SESSION['s_clave'] = $xclave;
			$_SESSION['s_estado'] = $row['usu_estado'];
			$_SESSION['s_compras'] = $row['usu_compras'];
			$_SESSION['s_ventas'] = $row['usu_ventas'];
			$_SESSION['s_almacen'] = $row['usu_almacen'];
			$_SESSION['s_caja'] = $row['usu_caja'];
			$_SESSION['s_configuracion'] = $row['usu_configuracion'];
			$_SESSION['s_empresa'] = $row['emp_codi_fk'];
			$_SESSION['s_tipo_usuario'] = $row['usu_tipo'];					
			$_SESSION['s_almacen_salidas'] = $row['usu_almacen_salidas'];
			$_SESSION['s_pago_limitado'] = $row['usu_pago_limitado'];										
		}
	}
	
	
	
	$r_conf = mysqli_query($conexion,"SELECT * FROM configuraciones c where con_codi=1;");
	while($row_conf=mysqli_fetch_array($r_conf)){
		$_SESSION['s_igv'] = $row_conf['con_igv'];
		$_SESSION['s_dolar'] = $row_conf['con_dolar'];
		$_SESSION['s_pagocompra'] = $row_conf['con_pagocompra'];
		$_SESSION['s_cobropedido'] = $row_conf['con_cobropedido'];
		$_SESSION['s_aperturacaja'] = $row_conf['con_aperturacaja'];
		$_SESSION['s_cierrecaja'] = $row_conf['con_cierrecaja'];
		$_SESSION['s_mediopago'] = $row_conf['con_mediopago'];				
		$_SESSION['s_operaciontipo'] = $row_conf['con_operaciontipo'];						
		$_SESSION['s_documentotipo'] = $row_conf['con_documentotipo'];		
		$_SESSION['s_operaciontipo_compra'] = $row_conf['con_operaciontipo_compra'];						
		$_SESSION['s_documentotipo_compra'] = $row_conf['con_documentotipo_compra'];		
		$_SESSION['s_token'] = $row_conf['con_token'];
		$_SESSION['s_pagonotacredito'] = $row_conf['con_pagonotacredito'];
		$_SESSION['s_con_documentotipo_notacredito'] = $row_conf['con_operaciontipo_notacredito'];
		$_SESSION['s_documentotipo_notacredito'] = $row_conf['con_documentotipo_notacredito'];
		$_SESSION['s_cobronotadebito'] = $row_conf['con_cobronotadebito'];
	}


	//$r_empresa = mysqli_query($conexion,"SELECT * FROM empresas e WHERE emp_codi=$xempresa;");
	$r_empresa = mysqli_query($conexion,"SELECT * FROM empresas e INNER JOIN empresas_raiz er ON e.emprai_codi_fk=er.emprai_codi WHERE emp_codi=$xempresa;");
	while($row_empresa=mysqli_fetch_array($r_empresa)){
		$_SESSION['s_empresa_nombre'] = $row_empresa['emp_nom'];
		$_SESSION['s_facturacion_electronica'] = $row_empresa['emprai_facturacion_electronica'];
		$_SESSION['s_emp_exonerado_igv'] = $row_empresa['emp_exonerado_igv'];
		$_SESSION['s_empresa_rais_nombre'] = $row_empresa['emprai_nombre_comercial'];			
		$_SESSION['s_emprai_ruc'] = $row_empresa['emprai_ruc'];				
	}




	?>
	<script language="javascript">
	//c=confirm("Si Ud. es usuario autorizado para ingresar a este sistema, ACEPTE el ingreso. De lo contrario CANCELE el ingreso por su seguridad.");
	//if(c){
		parent.location.href="../index.php";
	//}else{	
	//	parent.document.getElementById('xclave').value="";
	//}			
	</script>			
	<?php					
}else{
	?>
	<script language="javascript">
	alert("Los datos de acceso son incorrectos.")
	</script>			
	<?php					
}


//$log = new Login;




function getRealIP()
{
    if (isset($_SERVER["HTTP_CLIENT_IP"]))
    {
        return $_SERVER["HTTP_CLIENT_IP"];
    }
    elseif (isset($_SERVER["HTTP_X_FORWARDED_FOR"]))
    {
        return $_SERVER["HTTP_X_FORWARDED_FOR"];
    }
    elseif (isset($_SERVER["HTTP_X_FORWARDED"]))
    {
        return $_SERVER["HTTP_X_FORWARDED"];
    }
    elseif (isset($_SERVER["HTTP_FORWARDED_FOR"]))
    {
        return $_SERVER["HTTP_FORWARDED_FOR"];
    }
    elseif (isset($_SERVER["HTTP_FORWARDED"]))
    {
        return $_SERVER["HTTP_FORWARDED"];
    }
    else
    {
        return $_SERVER["REMOTE_ADDR"];
    }
}

//echo "IP:".getRealIP();


?>
